<!DOCTYPE html>
<html lang='en'>
<head>
<title>configure.ac - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/configure.ac?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='d6fcc67de59ab5406348bf4fc206c9be82858f06'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>/select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>refs</a><a href='/guix/log/gnu/packages/patches/openjpeg-use-after-free-fix.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/openjpeg-use-after-free-fix.patch?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>tree</a><a href='/guix/commit/gnu/packages/patches/openjpeg-use-after-free-fix.patch?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>commit</a><a href='/guix/diff/gnu/packages/patches/openjpeg-use-after-free-fix.patch?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/openjpeg-use-after-free-fix.patch'>
<input type='hidden' name='id' value='bd1b1e0517b046a6ad6d48633d43c644edea7424'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>root</a>/<a href='/guix/tree/gnu?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>gnu</a>/<a href='/guix/tree/gnu/packages?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>patches</a>/<a href='/guix/tree/gnu/packages/patches/openjpeg-use-after-free-fix.patch?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>openjpeg-use-after-free-fix.patch</a></div><div class='content'>blob: 1a9cb1ae1d461693c86bb58c13ef3c278d3494bf (<a href='/guix/about/gnu/packages/patches/openjpeg-use-after-free-fix.patch?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>about</a>) (<a href='/guix/plain/gnu/packages/patches/openjpeg-use-after-free-fix.patch?id=bd1b1e0517b046a6ad6d48633d43c644edea7424'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
</pre></td>
<td class='lines'><pre><code>From 940100c28ae28931722290794889cf84a92c5f6f Mon Sep 17 00:00:00 2001
From: mayeut &lt;mayeut@users.noreply.github.com&gt;
Date: Sun, 6 Sep 2015 17:24:03 +0200
Subject: [PATCH] Fix potential use-after-free in opj_j2k_write_mco function

Fixes #563
---
 src/lib/openjp2/j2k.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/lib/openjp2/j2k.c b/src/lib/openjp2/j2k.c
index 19a48f5..d487d89 100644
--- a/src/lib/openjp2/j2k.c
+++ b/src/lib/openjp2/j2k.c
@@ -5559,8 +5559,7 @@ static OPJ_BOOL opj_j2k_write_mco(     opj_j2k_t *p_j2k,
         assert(p_stream != 00);
 
         l_tcp =&amp;(p_j2k-&gt;m_cp.tcps[p_j2k-&gt;m_current_tile_number]);
-        l_current_data = p_j2k-&gt;m_specific_param.m_encoder.m_header_tile_data;
-
+	
         l_mco_size = 5 + l_tcp-&gt;m_nb_mcc_records;
         if (l_mco_size &gt; p_j2k-&gt;m_specific_param.m_encoder.m_header_tile_data_size) {
 
@@ -5575,6 +5574,8 @@ static OPJ_BOOL opj_j2k_write_mco(     opj_j2k_t *p_j2k,
                 p_j2k-&gt;m_specific_param.m_encoder.m_header_tile_data = new_header_tile_data;
                 p_j2k-&gt;m_specific_param.m_encoder.m_header_tile_data_size = l_mco_size;
         }
+        l_current_data = p_j2k-&gt;m_specific_param.m_encoder.m_header_tile_data;
+
 
         opj_write_bytes(l_current_data,J2K_MS_MCO,2);                   /* MCO */
         l_current_data += 2;
@@ -5586,10 +5587,9 @@ static OPJ_BOOL opj_j2k_write_mco(     opj_j2k_t *p_j2k,
         ++l_current_data;
 
         l_mcc_record = l_tcp-&gt;m_mcc_records;
-        for     (i=0;i&lt;l_tcp-&gt;m_nb_mcc_records;++i) {
+        for (i=0;i&lt;l_tcp-&gt;m_nb_mcc_records;++i) {
                 opj_write_bytes(l_current_data,l_mcc_record-&gt;m_index,1);/* Imco -&gt; use the mcc indicated by 1*/
                 ++l_current_data;
-
                 ++l_mcc_record;
         }
 
-- 
2.5.0

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
